Skip to main content

Token Management

View as Markdown

List Tokens GA

GET /api/2.0/token-management/tokens

Lists all tokens associated with the specified workspace or user.

API scopes: authentication

Parameters

created_by_idint64query

User ID of the user that created the token.

created_by_usernamestringquery

Username of the user that created the token.

Response

token_infosarray of object

Token metadata of each user-created token in the workspace

Show child attributesHide child attributes
token_idstring

ID of the token.

Example: 5684c955822ac792a51ae2aeb80190f13457bab3e2e2934c133a08b38454816c

creation_timeint64

Timestamp when the token was created.

Example: 1580265020299

expiry_timeint64

Timestamp when the token expires.

Example: 1580265020299

commentstring

Comment that describes the purpose of the token, specified by the token creator.

Example: This is for the ABC department automation scripts.

created_by_idint64

User ID of the user that created the token.

Example: 202480738464078

created_by_usernamestring

Username of the user that created the token.

Example: jsmith@example.com

owner_idint64

User ID of the user that owns the token.

Example: 202480738464078

workspace_idint64

If applicable, the ID of the workspace that the token was created in.

Example: 5750939285643220

last_used_dayint64

Approximate timestamp for the day the token was last used. Accurate up to 1 day.

Example: 1710374400000

scopesarray of string

Scope of the token was created with, if applicable.

Update Token GA

PATCH /api/2.0/token-management/tokens/{token.token_id}

Updates a token, specified by its ID.

API scopes: authentication

Parameters

tokenobjectpath
Show child attributesHide child attributes
token_idstring

ID of the token.

Example: 5684c955822ac792a51ae2aeb80190f13457bab3e2e2934c133a08b38454816c

creation_timeint64

Timestamp when the token was created.

Example: 1580265020299

expiry_timeint64

Timestamp when the token expires.

Example: 1580265020299

commentstring

Comment that describes the purpose of the token, specified by the token creator.

Example: This is for the ABC department automation scripts.

created_by_idint64

User ID of the user that created the token.

Example: 202480738464078

created_by_usernamestring

Username of the user that created the token.

Example: jsmith@example.com

owner_idint64

User ID of the user that owns the token.

Example: 202480738464078

workspace_idint64

If applicable, the ID of the workspace that the token was created in.

Example: 5750939285643220

last_used_dayint64

Approximate timestamp for the day the token was last used. Accurate up to 1 day.

Example: 1710374400000

scopesarray of string

Scope of the token was created with, if applicable.

Request body

update_maskstring

A list of field name under token, For example, {"update_mask": "comment,scopes"}

Response

token_idstring

ID of the token.

Example: 5684c955822ac792a51ae2aeb80190f13457bab3e2e2934c133a08b38454816c

creation_timeint64

Timestamp when the token was created.

Example: 1580265020299

expiry_timeint64

Timestamp when the token expires.

Example: 1580265020299

commentstring

Comment that describes the purpose of the token, specified by the token creator.

Example: This is for the ABC department automation scripts.

created_by_idint64

User ID of the user that created the token.

Example: 202480738464078

created_by_usernamestring

Username of the user that created the token.

Example: jsmith@example.com

owner_idint64

User ID of the user that owns the token.

Example: 202480738464078

workspace_idint64

If applicable, the ID of the workspace that the token was created in.

Example: 5750939285643220

last_used_dayint64

Approximate timestamp for the day the token was last used. Accurate up to 1 day.

Example: 1710374400000

scopesarray of string

Scope of the token was created with, if applicable.